=== src/imgtools/Makefile ===
SHELL	= /bin/sh
CC	= gcc
CC2	= g++
# Uncomment this for a static build
# OPT	= -O -Wall  -static
OPT	= -O -Wall 
DEBUG	= -g
INCL	= -I../auxtools -I../afflib/lib -I../libewf/src/
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ	= img_open.o img_types.o raw.o split.o aff.o ewf.o
LIBS    = -L../../lib -ltsk -lz -lcrypto
LIB	= ../../lib/libtsk.a
BIN_DIR	= ../../bin
PROGS	= $(BIN_DIR)/img_stat $(BIN_DIR)/img_cat

defs:
	@CC="$(CC)" sh ../makedefs $(MAKE)

all:	lib $(PROGS)

lib:	$(LIBOBJ)
	$(AR) $(LIB) $?
	$(RANLIB) $(LIB) 

$(BIN_DIR)/img_stat: img_stat.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ img_stat.o $(LIBS) 

$(BIN_DIR)/img_cat: img_cat.o $(LIB)
	$(CC2) $(CFLAGS) -o $@ img_cat.o $(LIBS) 

clean:
	rm -f $(PROGS) *.o *core *~

indent:
	indent *.c *.h

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
img_open.o: img_open.c
img_open.o: img_tools.h
img_types.o: img_types.c
img_types.o: img_tools.h
raw.o: raw.c
raw.o: img_tools.h
split.o: split.c
split.o: img_tools.h
aff.o: aff.c
aff.o: img_tools.h
ewf.o: ewf.c
ewf.o: img_tools.h
img_stat.o: img_stat.c
img_stat.o: img_tools.h
img_cat.o: img_cat.c
img_cat.o: img_tools.h
