=== src/mmtools/Makefile ===
SHELL	= /bin/sh
CC	= g++
CC2	= g++
# Uncomment this for a static build
# OPT	= -O -Wall  -static
OPT	= -O -Wall 
DEBUG	= -g
INCL	= -I../auxtools -I../imgtools
CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
LIBOBJ	= mm_part.o mm_open.o mm_io.o mm_types.o dos.o mac.o bsd.o sun.o gpt.o
LIBS	= -L../../lib -ltsk -lz -lcrypto
LIB	= ../../lib/libtsk.a
BIN_DIR	= ../../bin
PROGS	= $(BIN_DIR)/mmls $(BIN_DIR)/mmstat

defs:
	@CC="$(CC)" sh ../makedefs $(MAKE)

all:	lib $(PROGS)

lib:	$(LIBOBJ)
	$(AR) $(LIB) $?
	$(RANLIB) $(LIB)

$(BIN_DIR)/mmls: mmls.o $(LIB) 
	$(CC2) $(CFLAGS) -o $@ mmls.o $(LIBS) 

$(BIN_DIR)/mmstat: mmstat.o $(LIB) 
	$(CC2) $(CFLAGS) -o $@ mmstat.o $(LIBS) 

indent:
	indent *.c *.h

clean:
	rm -f $(PROGS) *.o *core *~

depend: $(MAKES)
	(sed '1,/^# do not edit/!d' Makefile; \
	set -e; for i in [a-z][a-z0-9]*.c; do \
	    $(CC) -E $(DEFS) $(INCL) $$i | sed -n -e '/^# *1 *"\([^"]*\)".*/{' \
	    -e 's//'`echo $$i|sed 's/c$$/o/'`': \1/' -e 'p' -e '}'; \
	done) | grep -v '[.][o][:][ ][/]' >$$$$ && mv $$$$ Makefile

# do not edit - this was generated with make depend
dos.o: dos.c
dos.o: mm_tools.h
dos.o: dos.h
mac.o: mac.c
mac.o: mm_tools.h
mac.o: mac.h
sun.o: sun.c
sun.o: mm_tools.h
bsd.o: bsd.h
bsd.o: mm_tools.h
gpt.o: gpt.c
gpt.o: gpt.h
gpt.o: mm_tools.h
mmls.o: mmls.c
mmls.o: mm_tools.h
mmstat.o: mmstat.c
mmstat.o: mm_tools.h
mm_open.o: mm_open.c
mm_open.o: mm_tools.h
mm_part.o: mm_part.c
mm_part.o: mm_tools.h
mm_types.o: mm_types.c
mm_types.o: mm_tools.h
mm_io.o: mm_io.c
mm_io.o: mm_tools.h
