## sleuthkit 2.07

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,9 @@
 
 no-perl:
 	$(MAKE) -C src/auxtools
-	$(MAKE) -C src/afflib/lib AFFLIB="../../../lib/libtsk.a"
-	cd src/libewf; ./configure; make -C src/ libewf.a; ar rv ../../lib/libtsk.a src/*.o
-	$(MAKE) -C src/imgtools
+	cd src; sh ./afflib-install.sh
+	cd src; sh ./libewf-install.sh
+	$(MAKE) -C src/imgtools USE_FOO=1
 	$(MAKE) -C src/hashtools
 	$(MAKE) -C src/fstools 
 	$(MAKE) -C src/mmtools
@@ -27,9 +27,8 @@
 
 no-perl-static:
 	$(MAKE) -C src/auxtools  OPT=-static
-	$(MAKE) -C src/afflib/lib AFFLIB="../../../lib/libtsk.a"
-	cd src/libewf; ./configure; make -C src/ libewf.a; ar rv ../../lib/libtsk.a src/*.o
-	$(MAKE) -C src/libewf LIBEWF="../../lib/libtsk.a" ARFLAGS="rv" ../../lib/libtsk.a
+	cd src; sh ./afflib-install.sh
+	cd src; sh ./libewf-install.sh
 	$(MAKE) -C src/imgtools
 	$(MAKE) -C src/hashtools OPT=-static
 	$(MAKE) -C src/fstools OPT=-static 
@@ -44,24 +43,24 @@
 	$(MAKE) -C src/timeline
 
 file:
-	cd src/file; sh ./TSK.install
+	cd src; sh ./file-install.sh
 
 test:
 	sh ./check-install
 
 clean: 
 	$(MAKE) -C src/auxtools $@ 
-	$(MAKE) -C src/afflib/lib $@
-	$(MAKE) -C src/libewf distclean
 	$(MAKE) -C src/imgtools $@
 	$(MAKE) -C src/hashtools $@
 	$(MAKE) -C src/fstools $@
 	$(MAKE) -C src/mmtools $@
 	$(MAKE) -C src/srchtools $@
 	$(MAKE) -C src/disktools $@
-	cd src/file; sh ./TSK.clean
 	$(MAKE) -C src/timeline $@
 	cd src/sorter; sh ./clean
+	cd src; sh ./afflib-clean.sh
+	cd src; sh ./libewf-clean.sh
+	cd src; sh ./file-clean.sh
 	rm -f lib/libtsk.a
 	rm -f bin/*core
 	rm -f bin/.gdb_history
