=== src/auxtools/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 CFLAGS	= $(DEFS) $(OPT) $(DEBUG)
 LIBOBJ	= mymalloc.o strerror.o split_at.o tsk_endian.o \
     data_buf.o tsk_version.o tsk_error.o tsk_parse.o \
-    tsk_unicode.o tsk_printf.o
+    tsk_unicode.o tsk_printf.o tsk_list.o
 LIB	= ../../lib/libtsk.a
 BIN_DIR	= 
 PROGS	= 
@@ -53,3 +53,4 @@
 tsk_version.o:tsk_version.c
 tsk_error.o:tsk_error.c
 tsk_parse.o:tsk_parse.c
+tsk_list.o:tsk_list.c
