## sleuthkit 2.09

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	$(MAKE) -C src/auxtools
 	cd src; sh ./afflib-install.sh
 	cd src; sh ./libewf-install.sh
-	$(MAKE) -C src/imgtools USE_FOO=1
+	$(MAKE) -C src/imgtools
 	$(MAKE) -C src/hashtools
 	$(MAKE) -C src/fstools 
 	$(MAKE) -C src/mmtools
@@ -44,6 +44,15 @@
 
 file:
 	cd src; sh ./file-install.sh
+
+indent:
+	$(MAKE) -C src/auxtools indent
+	$(MAKE) -C src/imgtools indent
+	$(MAKE) -C src/hashtools indent
+	$(MAKE) -C src/fstools  indent
+	$(MAKE) -C src/mmtools indent
+	$(MAKE) -C src/srchtools indent
+	$(MAKE) -C src/disktools indent
 
 test:
 	sh ./check-install
@@ -71,3 +80,6 @@
 
 release:
 	find . -name "CVS" | xargs rm -rf 
+
+api-docs:
+	doxygen config/Doxyfile
