=== src/auxtools/Makefile ===
--- 
+++ 
@@ -8,21 +8,27 @@
 CFLAGS	= $(DEFS) $(OPT) $(DEBUG)
 LIBOBJ	= mymalloc.o strerror.o split_at.o tsk_endian.o \
     data_buf.o tsk_version.o tsk_error.o tsk_parse.o \
-    tsk_unicode.o tsk_printf.o tsk_list.o
+    tsk_unicode.o tsk_printf.o tsk_list.o md5c.o sha1c.o
 LIB	= ../../lib/libtsk.a
-BIN_DIR	= 
-PROGS	= 
+BIN	= ../../bin
+PROGS	= $(BIN)/md5 $(BIN)/sha1
 
 defs:
 	@CC="$(CC)" sh ../makedefs $(MAKE)
 
-all:	lib
+all:	lib $(PROGS)
 
 manpages: 
 
 lib:	$(LIBOBJ)
 	$(AR) $(LIB) $?
 	$(RANLIB) $(LIB)
+
+$(BIN)/md5: md5.o md5c.o
+	$(CC) $(CFLAGS) -o $@ md5.o md5c.o
+
+$(BIN)/sha1: sha1.o sha1c.o
+	$(CC) $(CFLAGS) -o $@ sha1.o sha1c.o
 
 indent:
 	indent *.h *.c
