=== src/fstools/Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 	fatfs.o fatfs_dent.o ntfs.o ntfs_dent.o swapfs.o rawfs.o \
 	dcalc_lib.o dcat_lib.o dls_lib.o dstat_lib.o ffind_lib.o \
 	fls_lib.o icat_lib.o ifind_lib.o ils_lib.o \
-iso9660.o iso9660_dent.o 
-# hfs.o hfs_dent.o hfs_journal.o
+	iso9660.o iso9660_dent.o \
+	hfs.o hfs_dent.o hfs_journal.o
 LIBS	= -L../../lib -ltsk -lz -lcrypto
 
 LIB	= ../../lib/libtsk.a
@@ -109,6 +109,8 @@
 ext2fs_dent.o: ext2fs.h
 ext2fs_journal.o: fs_tools.h
 ext2fs_journal.o: ext2fs.h
+fatfs.o: fs_tools.h
+fatfs.o: fatfs.h
 fatfs_dent.o: fs_tools.h
 fatfs_dent.o: fatfs.h
 ffind_lib.o: fs_tools.h
