=== src/imgtools/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # OPT	= -O -Wall  -static
 OPT	= -O -Wall 
 DEBUG	= -g
-INCL	= -I../auxtools -I../afflib/lib -I../libewf/src/
+INCL	= -I../auxtools -I../afflib/lib -I../libewf/include/
 CFLAGS	= $(DEFS) $(INCL) $(OPT) $(DEBUG)
 LIBOBJ	= img_open.o img_types.o raw.o split.o aff.o ewf.o
 LIBS    = -L../../lib -ltsk -lz -lcrypto
