=== src/mmtools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SHELL	= /bin/sh
-CC	= g++
+CC	= gcc
 CC2	= g++
 # Uncomment this for a static build
 # OPT	= -O -Wall  -static
