=== src/sorter/Makefile ===
all:
	sh ./install
indent:
	perltidy -b sorter.base
clean:
	sh ./clean
	rm *.bak
