=== src/timeline/Makefile ===
defs:
	@sh ./config-perl
clean:
	rm -f ../../bin/mactime
indent:
	perltidy -b mactime.base
