## sleuthkit 3.2.1

=== debian/changelog ===
sleuthkit (3.2.1-2) unstable; urgency=low

  * Team upload.
  * Fix symbols files for non any-amd64 architectures, avoiding FTBFS
    (Closes: #630207)

 -- Julien Valroff <julien@debian.org>  Sun, 12 Jun 2011 14:57:56 +0200

sleuthkit (3.2.1-1) unstable; urgency=low

  * Team upload.

  [ Cristian Greco ]
  * debian/control: remove myself from Uploaders.

  [ Christophe Monniez ]
  * Merging upstream version 3.2.1.
  * Refreshing patches.
  * Updating libewf dependency.
  * Removing installation of .la files.
  * Adding afflib support.

  [ Julien Valroff ]
  * Switch to 3.0 (quilt) source package format
  * Refresh patch to prevent static linking
  * Bump debhelper compat to 8 
  * Update copyright information 
  * Fix dh --with syntax 
  * Add patch to fix formatting error in the manpages 
  * Update libtsk3-3 symbols file 
  * Suggests Autopsy 
  * Add patch to dynamically link against libsqlite3 

 -- Julien Valroff <julien@debian.org>  Fri, 10 Jun 2011 23:10:11 +0200

sleuthkit (3.1.3-1) unstable; urgency=low

  * New upstream version.
    - 90_fix_ldflags.patch: refreshed patch.
  * debian/copyright: fix copyright-refers-to-deprecated-bsd-license-file.
  * debian/control: bump up standards-version to 3.9.0.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 13 Jul 2010 20:45:52 +0200

sleuthkit (3.1.2-1) unstable; urgency=low

  * New upstream version.
  * debian/patches:
    - 90_fix_ldflags.patch: refreshed patch.
    - 99_no_static_ldflags.patch: new patch, drop `-static` from LDFLAGS from
      tools/*/Makefile.am in order to avoid sleuthkit tools to be statically
      linked against libtsk.
  * debian/{control,rules}: bump autotools-dev build-dep to (>= 20100122.1)
    and pass '--with autotools_dev' to dh in order to automatically update
    config.{sub,guess} files.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 18 Jun 2010 14:00:57 +0200

sleuthkit (3.1.1-1) unstable; urgency=low

  * New upstream version.
  * debian/patches: most of the patches merged upstream, thanks Brian!
    - 01-fix-hfind-manpage.patch: merged upstream.
    - 02-fix-hyphens-manpages.patch: merged upstream.
    - 90_fix_ldflags.patch: refreshed (mostly merged upstream,
      but still needed).
  * debian/libtsk3-3.symbols: updated.

 -- Cristian Greco <cristian@regolo.cc>  Tue, 06 Apr 2010 13:33:25 +0200

sleuthkit (3.1.0-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    - fix package priorities once again.
    - upgrade build-dep on libewf-dev (>= 20090606) and remove other
      useless (build-)deps.
    - bump up standards-version to 3.8.4 (no changes).
    - set my new email address.
    - add DMUA flag, thanks to my sponsor Michael Prokop.
  * debian/patches:
    - 01-fix-hfind-manpage.patch, refreshed;
    - 02-fix-hyphens-manpages.patch, refreshed and updated to fix
      some spelling errors too;
    - 10_fix_compiler_warnings.patch, dropped (fixed upstream);
    - 90_fix_ldflags.patch: refreshed.
  * debian/sleuthkit.docs: some doc files were removed upstream.
  * debian/libtsk3-3.symbols: update symbols file.

 -- Cristian Greco <cristian@regolo.cc>  Thu, 18 Feb 2010 23:16:22 +0100

sleuthkit (3.0.1-5) unstable; urgency=low

  * debian/control:
    - move git packaging on alioth.
    - priority is extra, not optional.
    - build-dep on automake and libtool to fix FTBFS on all arches,
      shame on me!
  * debian/source.lintian-overrides: removed, useless.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 22 Sep 2009 23:32:18 +0200

sleuthkit (3.0.1-4) unstable; urgency=low

  [ Cristian Greco ]
  * New maintainer Debian Forensics, added myself to uploaders.
    Thanks Martin Godisch! (Closes: #537418)
  * Build-depends on debhelper (>= 7.0.50) and quilt (>= 0.46-7~), use a real
    patch management system and rewrite debian/rules in a tiny form.
  * debian/patches:
    - 283709_dstat.diff.disabled: deleted.
    - 411026_sorter.diff: renamed 01-fix-hfind-manpage.patch
      (added description).
    - 000000_lintian.diff: renamed to 02-fix-hyphens-manpages.patch
      (plus lintian fixes).
    - 10_fix_compiler_warnings.patch: new patch, fixes a lot of compiler
      warnings (pulled from upstream svn).
    - 90_fix_ldflags.patch: new patch, avoid linking against unused libraries.
  * Call autoreconf and pass "-Wl,--as-needed" to LDFLAGS in
    debian/rules to support changes in 90_fix_ldflags.patch. Add
    autoconf build-dep in debian/control.
  * Move libtsk3-3-dbg to the new debug section.
  * Drop shlibs:Depends from -dbg package.
  * Added minimal conf file for git-buildpackage.
  * Improve short and long description for all binary packages.
  * Adding a README.source file with informations about the quilt patch
    system.
  * Update debian/copyright file.
  * bump up Standards-Version to 3.8.3 (no changes needed).
  * fix symbol with debian revision by postfixing a '~' in libtsk3-
    3.symbols

  [ Daniel Baumann ]
  * Using correct rfc-2822 date formats in changelog.
  * Adding vcs fields in control file.
  * Sorting fields in control file.
  * Removing dubious priority override for libtsk-dev.
  * Using dedicated debhelper manpages file to install additional
    manpages.
  * Sorting debhelper install files.
  * Rewrapping maintainer scripts.
  * Calling all shell commands in rules with set -e in order to properly
    fail in case of errors.
  * Removing override for dh_installchangelogs in rules, it's not
    needed.
  * Adding source lintian overrides.

 -- Cristian Greco <cristian.debian@gmail.com>  Tue, 22 Sep 2009 02:59:38 +0200

sleuthkit (3.0.1-3) unstable; urgency=low

  * Added libewf-dev to build-dependencies, suggested by Michael Prokop.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 31 Aug 2009 16:11:29 +0200

sleuthkit (3.0.1-2) unstable; urgency=low

  * Moving into sid after three months in experimental.
  * Updated standards version (no changes necessary).

 -- Martin A. Godisch <godisch@debian.org>  Sun, 12 Jul 2009 09:30:08 +0200


