=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e
export LDFLAGS+=-lsqlite3 -lsupc++ -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install

	for FILE in icat ils mactime; \
	do \
		mv debian/tmp/usr/bin/$$FILE debian/tmp/usr/bin/$$FILE-sleuthkit; \
		mv debian/tmp/usr/share/man/man1/$$FILE.1 debian/tmp/usr/share/man/man1/$$FILE-sleuthkit.1; \
	done

override_dh_strip:
	dh_strip -a -plibtsk3-3 --dbg-package=libtsk3-3-dbg
