## sleuthkit 3.2.3

=== debian/changelog ===
sleuthkit (3.2.3-2.2) unstable; urgency=low

  * Non-maintainer upload
  * Update symbol file for armel.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Dec 2013 08:28:53 +0100

sleuthkit (3.2.3-2.1) unstable; urgency=low

  [ Andreas Moog ]
  * Non-maintainer upload
  * d/patches/95_fix-libewf2-detection.patch, 96_fix_build_libewf2.patch:
    - Add 2 patches from upstream git to fix detection and build against 
      libewf2 (Closes: #713364)

  [ Andreas Beckmann ]
  * Update symbol files for amd64, armel, i386, mips.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 30 Nov 2013 21:15:15 +0100

sleuthkit (3.2.3-2) unstable; urgency=low

  * Team upload.
  * Fix build with dpkg < 1.16.1 
  * Fix symbols files for ia64 and armel

 -- Julien Valroff <julien@debian.org>  Fri, 14 Oct 2011 19:52:20 +0200

sleuthkit (3.2.3-1) unstable; urgency=low

  * Team upload.

  [ Daniel T Chen ]
  * Refresh 90_fix_ldflags.diff.
  * Update libtsk3-3 symbols files for 3.2.2.

  [ Julien Valroff ]
  * Fix DEP-5 copyright syntax
  * Use DPKG_EXPORT_BUILDFLAGS to ensure LDFLAGS is actually exported
  * Add patch to fix a typo in libtsk3.so 
  * Update libtsk3-3 symbols files for 3.2.3 

  [ Christophe Monniez ]
  * Merge upstream version 3.2.3.

 -- Julien Valroff <julien@debian.org>  Thu, 13 Oct 2011 21:01:10 +0200
