=== debian/control ===
Source: sleuthkit
Section: admin
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
Build-Depends: debhelper (>= 8.0.0), autoconf, automake, libtool, dh-autoreconf, libewf-dev (>= 20100226), libsqlite3-dev, libafflib-dev (>= 3.6.6)
Standards-Version: 3.9.2
Homepage: http://www.sleuthkit.org/sleuthkit/
Vcs-Browser: http://git.debian.org/?p=forensics/sleuthkit.git
Vcs-Git: git://git.debian.org/git/forensics/sleuthkit.git
DM-Upload-Allowed: yes

Package: sleuthkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, file, libdate-manip-perl
Suggests: autopsy
Description: collection of tools for forensics analysis on volume and file system data
 The Sleuth Kit (previously known as TASK) is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. The Sleuth Kit supports DOS partitions, BSD partitions
 (disk labels), Mac partitions, Sun slices (Volume Table of Contents), and GPT
 disks. With these tools, you can identify where partitions are located and
 extract them so that they can be analyzed with file system analysis tools.
 .
 This package contains the set of command line tools in The Sleuth Kit.

Package: libtsk3-3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for forensics analysis on volume and file system data
 The Sleuth Kit (previously known as TASK) is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. The Sleuth Kit supports DOS partitions, BSD partitions
 (disk labels), Mac partitions, Sun slices (Volume Table of Contents), and GPT
 disks. With these tools, you can identify where partitions are located and
 extract them so that they can be analyzed with file system analysis tools.
 .
 This package contains the library which can be used to implement all of the
 functionality of the command line tools into an application that needs to
 analyze data from a disk image.

Package: libtsk3-3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libtsk3-3 (= ${binary:Version})
Suggests: libc-dbg
Description: library for forensics analysis (debug symbols)
 The Sleuth Kit (previously known as TASK) is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. The Sleuth Kit supports DOS partitions, BSD partitions
 (disk labels), Mac partitions, Sun slices (Volume Table of Contents), and GPT
 disks. With these tools, you can identify where partitions are located and
 extract them so that they can be analyzed with file system analysis tools.
 .
 This package contains debugging symbols for the library.

Package: libtsk-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libtsk3-3 (= ${binary:Version}), zlib1g-dev
Suggests: libtsk3-3-dbg
Description: library for forensics analysis (development files)
 The Sleuth Kit (previously known as TASK) is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. The Sleuth Kit supports DOS partitions, BSD partitions
 (disk labels), Mac partitions, Sun slices (Volume Table of Contents), and GPT
 disks. With these tools, you can identify where partitions are located and
 extract them so that they can be analyzed with file system analysis tools.
 .
 This package contains header files and static version of the library.
