=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
+
 SHELL := sh -e
-export LDFLAGS+=-lsqlite3 -lsupc++ -Wl,--as-needed
+LDFLAGS+=-lsqlite3 -lsupc++ -Wl,--as-needed
 
 %:
 	dh $@ --with autoreconf
