=== debian/watch ===
version=3
http://sf.net/sleuthkit/sleuthkit-(.*)\.tar\.gz debian
