## sleuthkit 4.1.2

=== debian/changelog ===
sleuthkit (4.1.2-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Added dpkg-dev (>= 1.16.1~) as build dependency.
  * Regenerated the symbols for amd64 arch (the package fails
    with SID symbols).
  * Removed the symbols for i386 arch.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 24 Feb 2014 14:29:38 -0300

sleuthkit (4.1.2-2) unstable; urgency=medium

  * [fcb702f] Fix package entry in debian/libtsk10.symbols.i386

 -- Michael Prokop <mika@debian.org>  Tue, 04 Feb 2014 15:32:02 +0100

sleuthkit (4.1.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #695097, #702470, LP: #1261135)
  * New co-maintainers:
      - Hilko Bengen <bengen@debian.org>
      - Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
  * Migrations:
      - Debhelper version from 8 to 9.
      - Standards-Version from 3.9.2 to 3.9.5.
  * Patches:
      - Added:
          - 20_fix_spelling_errors.diff
      - Removed:
          - 40_fix-typo.diff: the target file was dropped by the upstream.
          - 90_fix_ldflags.diff: new configure.ac and Makefile.am upstream
            files. The content is new.
          - 95_fix-libewf2-detection.patch: the upstream already uses the
            code in this version. The patch was based on code published in
            upstream git repository.
          - 96_fix_build_libewf2.patch: idem.
      - Updated:
          - 10_link-to-sqlite.diff
          - 30_fix-manpages.diff
          - 99_no_static_ldflags.diff
  * debian/changelog:
      - Added new Debian maintainers.
      - Reviewed all licenses and files.
      - Updated the Format field.
      - Updated the upstream copyright years.
  * debian/control:
      - Added the Conflicts field in sleuthkit binary.
      - Added mac-robber as suggestion to sleuthkit binary.
      - Changed VCS fields to canonical URI (anonscm.debian.org instead
        git.debian.org).
      - Improved the long descriptions.
      - Removed obsolete field DM-Upload-Allowed.
      - Removed 'Priority' field from libtsk-dev, that is optional now
        (instead extra).
      - Removed, after renamed, useless and empty binary libtsk10-dbg,
        because libtsk10 already is naturally 'stripped'.
      - Renamed libtsk3-3 to libtsk10.
      - Updated libewf-dev from '>= 20100226' to '>= 20130416' in
        Build-Depends.
  * debian/gbp.conf: added the pristine-tar line.
  * debian/libtsk-dev.install: updated.
  * debian/libtsk10.symbols.*: generated in amd64 and i386 arch.
  * debian/manpages: added fcat.1, fiwalk.1, jpeg_extract.1 and their
    sources.
  * debian/README.source: removed because it is useless now.
  * debian/rules:
      - Added the override_dh_installdocs to change the original name of
        the fiwalk README file.
      - Removed the override_dh_auto_install target, that adds -sleuthkit
        suffix to icat, ils and mactime files. It is obsolete because TCT
        project is dead and was removed from Debian in 2011. Note that this
        action will make d/sleuthkit.{postinst,prerm} useless. (LP: #480877)
      - Removed the override_dh_strip target because the libtsk*-dbg was
        dropped.
  * sleuthkit.manpages: updated.
  * sleuthkit.postinst: removed.
  * sleuthkit.prerm: removed.
  * debian/watch: a little improvement.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 19 Jan 2014 13:11:29 -0200
