=== debian/control ===
Source: sleuthkit
Section: admin
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Christophe Monniez <christophe.monniez@fccu.be>,
           Hilko Bengen <bengen@debian.org>,
           Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               autoconf,
               automake,
               libtool,
               dh-autoreconf,
               libewf-dev (>= 20130416),
               libsqlite3-dev,
               libafflib-dev (>= 3.6.6)
Standards-Version: 3.9.5
Homepage: http://www.sleuthkit.org/sleuthkit
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=forensics/sleuthkit.git
Vcs-Git: git://anonscm.debian.org/forensics/sleuthkit.git

Package: sleuthkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, file, libdate-manip-perl
Suggests: autopsy, mac-robber
Conflicts: tct
Description: collection of tools for forensics analysis on volume and file system data
 The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. You can also recover deleted files, get information
 stored in slack spaces, examine filesystems journal, see partitions layout on
 disks or images etc. But is very important clarify that the TSK acts over the
 current filesystem only.
 .
 The Sleuth Kit supports DOS partitions, BSD partitions (disk labels), Mac
 partitions, Sun slices (Volume Table of Contents), and GPT disks. With these
 tools, you can identify where partitions are located and extract them so that
 they can be analyzed with file system analysis tools.
 .
 Currently, TSK supports several filesystems, as NTFS, FAT, HFS+, Ext3, UFS,
 YAFFS2 and Ext4.
 .
 This package contains the set of command line tools in The Sleuth Kit.

Package: libtsk10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for forensics analysis on volume and file system data
 The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. You can also recover deleted files, get information
 stored in slack spaces, examine filesystems journal, see partitions layout on
 disks or images etc. But is very important clarify that the TSK acts over the
 current filesystem only.
 .
 The Sleuth Kit supports DOS partitions, BSD partitions (disk labels), Mac
 partitions, Sun slices (Volume Table of Contents), and GPT disks. With these
 tools, you can identify where partitions are located and extract them so that
 they can be analyzed with file system analysis tools.
 .
 Currently, TSK supports several filesystems, as NTFS, FAT, HFS+, Ext3, UFS,
 YAFFS2 and Ext4.
 .
 This package contains the library which can be used to implement all of the
 functionality of the command line tools into an application that needs to
 analyze data from a disk image.

Package: libtsk-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtsk10 (= ${binary:Version}), zlib1g-dev
Description: library for forensics analysis (development files)
 The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The file system tools
 allow you to examine file systems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 file systems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. You can also recover deleted files, get information
 stored in slack spaces, examine filesystems journal, see partitions layout on
 disks or images etc. But is very important clarify that the TSK acts over the
 current filesystem only.
 .
 The Sleuth Kit supports DOS partitions, BSD partitions (disk labels), Mac
 partitions, Sun slices (Volume Table of Contents), and GPT disks. With these
 tools, you can identify where partitions are located and extract them so that
 they can be analyzed with file system analysis tools.
 .
 Currently, TSK supports several filesystems, as NTFS, FAT, HFS+, Ext3, UFS,
 YAFFS2 and Ext4.
 .
 This package contains header files and static version of the library.
