=== debian/watch ===
version=3
http://sf.net/sleuthkit/sleuthkit-(\d\S*)\.tar\.gz debian
